%define anolis_release 3

%global modname tqdm
%global srcname %{modname}

%bcond_with tests

Name:           python-%{modname}
Version:        4.65.0
Release:        %{anolis_release}%{dist}

Summary:        Fast, Extensible Progress Meter

# see PACKAGE-LICENSING for more info
License:        MPLv2.0 and MIT
URL:            https://github.com/tqdm/tqdm
Source0:        %{pypi_source}

# https://github.com/tqdm/tqdm/commit/b53348c73080b4edeb30b4823d1fa0d8d2c06721
Patch0:         0001-fix-CVE-2024-34062.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm+toml

%if %{with tests}
# tox.ini contains coverage and unpackaged dependencies (nbval)
# We will use pytest directly
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio >= 0.17
BuildRequires:  python3-pytest-timeout

# optional test deps
BuildRequires:  python3-tkinter
BuildRequires:  python3-dask
BuildRequires:  python3-numpy
BuildRequires:  python3-pandas
BuildRequires:  python3-rich
%endif

%global _description \
tqdm (read taqadum, تقدّم) means "progress" in Arabic.\
\
Instantly make your loops show a smart progress meter - just wrap any iterable\
with "tqdm(iterable)", and you are done!

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n python3-%{modname}-doc
Summary:        Documentation files for python3-%{modname}
Requires:       python3-%{modname} = %{EVR}
BuildArch:      noarch

%description -n python3-%{modname}-doc
The python3-%{modname}-doc package contains documentation files for python3-%{modname}.

%prep
%autosetup -n %{modname}-%{version} -p1
chmod -x tqdm/completion.sh

# https://github.com/tqdm/tqdm/pull/1292
echo 'include tqdm/tqdm.1' >> MANIFEST.in
echo 'include tqdm/completion.sh' >> MANIFEST.in

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/tqdm.1 \
  %{buildroot}%{_mandir}/man1/tqdm.1
install -Dpm0644 \
  %{buildroot}%{python3_sitelib}/tqdm/completion.sh \
  %{buildroot}%{_datadir}/bash-completion/completions/tqdm.bash

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{modname} -f %{pyproject_files}
%license LICENCE
%{_bindir}/tqdm
%{_mandir}/man1/tqdm.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/tqdm.bash

%files -n python3-%{modname}-doc
%doc README.rst examples

%changelog
* Wed Nov 20 2024 Zhao Zhiyuan <zhaozhiyuan05@ieisystem.com> - 4.65.0-3
- fix CVE-2024-34062

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.65.0-2
- Rebuild with python3.11

* Mon Apr 03 2023 yuanhui <yuanhui@linux.alibaba.com> - 4.65.0
- Init package from upstream
